Gentoo Archives: gentoo-commits

From: "Samuli Suominen (drac)" <drac@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in media-sound/cplay: cplay-1.49.ebuild ChangeLog
Date: Sat, 17 May 2008 09:13:12
Message-Id: E1JxITV-0006ob-1p@stork.gentoo.org
drac        08/05/17 09:13:09

  Modified:             cplay-1.49.ebuild ChangeLog
  Log:
  Use virtual/mpg123.
  (Portage version: 2.1.5_rc10)

Revision  Changes    Path
1.15                 media-sound/cplay/cplay-1.49.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/cplay/cplay-1.49.ebuild?rev=1.15&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/cplay/cplay-1.49.ebuild?rev=1.15&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/cplay/cplay-1.49.ebuild?r1=1.14&r2=1.15

Index: cplay-1.49.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/cplay/cplay-1.49.ebuild,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- cplay-1.49.ebuild	18 Sep 2007 19:02:05 -0000	1.14
+++ cplay-1.49.ebuild	17 May 2008 09:13:08 -0000	1.15
@@ -1,33 +1,31 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/cplay/cplay-1.49.ebuild,v 1.14 2007/09/18 19:02:05 drac Exp $
-
-IUSE="mp3 vorbis"
+# $Header: /var/cvsroot/gentoo-x86/media-sound/cplay/cplay-1.49.ebuild,v 1.15 2008/05/17 09:13:08 drac Exp $
 
 DESCRIPTION="A Curses front-end for various audio players."
 SRC_URI="http://mask.tf.hut.fi/~flu/cplay/${P}.tar.gz"
 HOMEPAGE="http://mask.tf.hut.fi/~flu/hacks/cplay/"
 
-SLOT="0"
 LICENSE="GPL-2"
+SLOT="0"
 KEYWORDS="amd64 hppa ~ppc ppc64 sparc x86"
+IUSE="mp3 vorbis"
 
 DEPEND="sys-devel/gettext"
-RDEPEND="virtual/python
+RDEPEND="dev-lang/python
 	vorbis? ( media-sound/vorbis-tools )
 	mp3? ( ||
 		(
-			media-sound/mpg321
-			media-sound/mpg123
+			virtual/mpg123
 			media-sound/madplay
 			media-sound/splay
 		) )"
 
 src_install () {
-	make PREFIX=${D}/usr recursive-install || die "make failed"
+	emake PREFIX="${D}/usr" recursive-install || die "emake failed."
 
-	dosed "s:/usr/local:/usr:g" cplay
-	dobin cplay
+	dosed "s:/usr/local:/usr:g" cplay || die "dosed failed."
+	dobin cplay || die "dobin failed."
 	doman cplay.1
 	dodoc ChangeLog README TODO
 }



1.22                 media-sound/cplay/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/cplay/ChangeLog?rev=1.22&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/cplay/ChangeLog?rev=1.22&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/cplay/ChangeLog?r1=1.21&r2=1.22

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/cplay/ChangeLog,v
retrieving revision 1.21
retrieving revision 1.22
diff -u -r1.21 -r1.22
--- ChangeLog	18 Sep 2007 19:02:05 -0000	1.21
+++ ChangeLog	17 May 2008 09:13:08 -0000	1.22
@@ -1,6 +1,9 @@
 # ChangeLog for media-sound/cplay
-# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/cplay/ChangeLog,v 1.21 2007/09/18 19:02:05 drac Exp $
+# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/cplay/ChangeLog,v 1.22 2008/05/17 09:13:08 drac Exp $
+
+  17 May 2008; Samuli Suominen <drac@g.o> cplay-1.49.ebuild:
+  Use virtual/mpg123.
 
   18 Sep 2007; Samuli Suominen <drac@g.o> cplay-1.49.ebuild:
   Add media-sound/mpg123 as alternative in USE mp3.



-- 
gentoo-commits@l.g.o mailing list